Schedule & Payment App
Send Payment App
Section titled “Send Payment App”HTTP Request
Section titled “HTTP Request”POST https://sandbox.reggora.io/lender/consumer/payment
Request Body Parameters
Section titled “Request Body Parameters”| Parameter | Description | Required |
|---|---|---|
| consumer_email | Email of consumer you are sending payment app to. | True |
| order_id | The ID of the order you want to send the payment app in relation to. | True |
| user_type | Either consumer or manual. The consumer option being automatically sent by saved consumer, the manual option being the payment app being sent to a certain custom consumer you specify with the following values. | True |
| payment_type | Either manual or stripe. The manual option being a manual payment where you set when the payment has been paid. This option should be used when you are adding a payment that has already been completed. The stripe option being a payment done through our Stripe Plaid integration. | True |
| amount | The amount of money you are requesting with the payment app. | True |
| firstname | First name of consumer you are sending payment app to. | True if user_type = manual |
| lastname | Last name of consumer you are sending payment app to. | True if user_type = manual |
| paid | Boolean describing if payment has been paid already or not. | True if payment_type = manual |
Example Request
Section titled “Example Request”import requests
headers = { 'Authorization': 'Bearer {}'.format(REGGORA_AUTH_TOKEN), 'integration': '{}'.format(REGGORA_INTEGRATION_KEY)}
# For manual payment_type and manual user_typebody = { 'consumer_email': 'example@consumer.com', 'order_id': '5c33c6b1681f110034effc72', 'user_type': 'manual', 'payment_type': 'manual', 'amount': 100, 'firstname': 'Example', 'lastname': 'Consumer', 'paid': False}
# For stripe payment_type and consumer user_typebody = { 'consumer_email': 'example@consumer.com', 'order_id': '5c33c6b1681f110034effc72', 'user_type': 'consumer', 'payment_type': 'stripe', 'amount': 100,}
response = requests.post('https://sandbox.reggora.io/lender/consumer/payment', json=body, headers=headers)Example Response
Section titled “Example Response”{ "data": "Payment app sent.", "status": 200}Send Scheduling App
Section titled “Send Scheduling App”HTTP Request
Section titled “HTTP Request”POST https://sandbox.reggora.io/lender/consumer/scheduling
Request Body Parameters
Section titled “Request Body Parameters”| Parameter | Description | Required |
|---|---|---|
| consumer_emails | List of emails of the consumers you are sending scheduling app to. | True |
| order_id | The ID of the order you want to send the scheduling app in relation to. | True |
Example Request
Section titled “Example Request”import requests
headers = { 'Authorization': 'Bearer {}'.format(REGGORA_AUTH_TOKEN), 'integration': '{}'.format(REGGORA_INTEGRATION_KEY)}
body = { 'consumer_emails': ['example@consumer.com'], 'order_id': '5c33c6b1681f110034effc72',}
response = requests.post('https://sandbox.reggora.io/lender/consumer/scheduling', json=body, headers=headers)Example Response
Section titled “Example Response”{ "data": "Scheduling app sent.", "status": 200}Consumer Application Link
Section titled “Consumer Application Link”HTTP Request
Section titled “HTTP Request”GET https://sandbox.reggora.io/lender/<order_id>/<consumer_id>/<link_type>
URL Parameters
Section titled “URL Parameters”| Parameter | Description | Required |
|---|---|---|
| order_id | The ID of the order. | True |
| consumer_id | The ID of the consumer who is accessing the application. | True |
| link_type | The section of the consumer application you want to show the consumer. This argument can be, payment, scheduling, or both | True |
Example Request
Section titled “Example Request”import requests
headers = { 'Authorization': 'Bearer {}'.format(REGGORA_AUTH_TOKEN), 'integration': '{}'.format(REGGORA_INTEGRATION_KEY)}
order_id = '5c33c6b1681f110034effc72'consumer_id = '5c33c716681f110034effc73'link_type = 'payment' # payment/schedule/both
response = requests.get('https://sandbox.reggora.io/{}/{}/{}'.format(order_id, consumer_id, link_type), headers=headers)Example Response
Section titled “Example Response”{ "data": "https://devconnect.reggora.com/schedule/{signed-token}?iframe=true&override=payment", "status": 200}